package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.WFTmpStepActor;
import com.sa.ibiz.demo.demo.service.WFTmpStepActorService;
import com.sa.ibiz.demo.demo.service.dto.WFTmpStepActorSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/wftmpstepactor")
public class WFTmpStepActorResource
{
	@Autowired
	private WFTmpStepActorService service;


	@GetMapping(value = "/{id}")
	public ResponseEntity<WFTmpStepActor> get(@Validated @PathVariable String id){
		WFTmpStepActor data=new WFTmpStepActor();
		data.setWftmpstepactorid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("工作流步骤操作者（临时）[get]操作发生错误","WFTmpStepActor",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<WFTmpStepActor> remove(@Validated @RequestBody WFTmpStepActor data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流步骤操作者（临时）[remove]操作发生错误","WFTmpStepActor",data.getWftmpstepactorid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<WFTmpStepActor> update(@Validated @RequestBody WFTmpStepActor data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流步骤操作者（临时）[update]操作发生错误","WFTmpStepActor",data.getWftmpstepactorid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<WFTmpStepActor> checkKey(@Validated @RequestBody WFTmpStepActor data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流步骤操作者（临时）[checkKey]操作发生错误","WFTmpStepActor",data.getWftmpstepactorid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<WFTmpStepActor> getDraft(@Validated @RequestBody WFTmpStepActor data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流步骤操作者（临时）[getDraft]操作发生错误","WFTmpStepActor","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<WFTmpStepActor> create(@Validated @RequestBody WFTmpStepActor data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流步骤操作者（临时）[create]操作发生错误","WFTmpStepActor",data.getWftmpstepactorid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<WFTmpStepActor>> searchDefaultPage(@Validated @RequestBody WFTmpStepActorSearchFilter filter){
		Page<WFTmpStepActor> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<WFTmpStepActor>> listDefault(@Validated @RequestBody WFTmpStepActorSearchFilter filter){
		List<WFTmpStepActor> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
